ancestor: 4.7.0
releases:
  5.0.0:
    changes:
      breaking_changes:
      - Adding a dependency on the ``vmware.vmware`` collection (https://github.com/ansible-collections/community.vmware/pull/2159).
      - Depending on ``vmware-vcenter`` and ``vmware-vapi-common-client`` instead
        of ``https://github.com/vmware/vsphere-automation-sdk-python.git`` (https://github.com/ansible-collections/community.vmware/pull/2163).
      - Dropping support for pyVmomi < 8.0.3.0.1 (https://github.com/ansible-collections/community.vmware/pull/2163).
      - Module utils - Removed ``vmware.run_command_in_guest()`` (https://github.com/ansible-collections/community.vmware/pull/2175).
      - Removed support for ansible-core version < 2.17.0.
      - vmware_dvs_portgroup - Removed ``security_override`` alias for ``mac_management_override``
        and support for ``securityPolicyOverrideAllowed`` which has been deprected
        in the vSphere API (https://github.com/ansible-collections/community.vmware/issues/1998).
      - vmware_dvs_portgroup_info - Removed ``security_override`` because it's deprecated
        in the vSphere API (https://github.com/ansible-collections/community.vmware/issues/1998).
      - vmware_guest_tools_info - Removed deprecated ``vm_tools_install_status`` from
        the result (https://github.com/ansible-collections/community.vmware/issues/2078).
      bugfixes:
      - vmware_all_snapshots_info - fixed the datacenter parameter was ignored(https://github.com/ansible-collections/community.vmware/pull/2165).
      major_changes:
      - vmware_guest_tools_upgrade - Subsitute the deprecated ``guest.toolsStatus``
        (https://github.com/ansible-collections/community.vmware/pull/2174).
      - vmware_vm_shell - Subsitute the deprecated ``guest.toolsStatus`` (https://github.com/ansible-collections/community.vmware/pull/2174).
    fragments:
    - 1998-dvs_portgroup.yml
    - 2078-vmware_guest_tools_info.yml
    - 2138-vmware_all_snapshots_info.yml
    - 2159-depend-on-vmware.vmware.yml
    - 2174.yml
    - 2175-drop-module_utils.vmware.run_command_in_guest.yml
    - 5.0.0-required_ansible_version.yml
    - 5.0.0-requirements.yml
    release_date: '2024-09-20'
  5.0.1:
    changes:
      bugfixes:
      - vcenter_standard_key_provider - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_dvswitch - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_dvswitch_nioc - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_dvswitch_pvlans - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_guest - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_guest_controller - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_guest_disk - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_guest_serial_port - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_guest_tpm - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_host - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_host_dns - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_host_inventory - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_host_powerstate - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_tools - Fix documentation (https://github.com/ansible-collections/community.vmware/pull/2192).
      - vmware_vm_inventory - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
      - vmware_vmotion - Fix Pylint issue (https://github.com/ansible-collections/community.vmware/pull/2186).
    fragments:
    - 2186-fix-sanity-tests.yml
    - 2192-fix-documentation.yml
    release_date: '2024-10-05'
  5.1.0:
    changes:
      bugfixes:
      - vmware_guest - Fix existing disk erroneously being re-created when modifying
        vm with 8 or more disks. (https://github.com/ansible-collections/community.vmware/pull/2173).
      - vmware_vmotion - Fix a `list index out of range` error when vSphere doesn't
        provide a placement recommendation (https://github.com/ansible-collections/community.vmware/pull/2208).
      deprecated_features:
      - vmware_cluster_dpm - the module has been deprecated and will be removed in
        community.vmware 6.0.0 (https://github.com/ansible-collections/community.vmware/pull/2217).
      - vmware_cluster_drs_recommendations - the module has been deprecated and will
        be removed in community.vmware 6.0.0 (https://github.com/ansible-collections/community.vmware/pull/2218).
      minor_changes:
      - vmware_vm_info - Improve performance when parsing custom attributes information
        (https://github.com/ansible-collections/community.vmware/pull/2194)
    fragments:
    - 2173-fix-existing-disk-recreation-on-vm-with-8-or-more-disks.yml
    - 2194-vmware_vm_info.yml
    - 2208-vmware_vmotion.yml
    - 2217-deprecate-vmware_cluster_dpm.yml
    - 2218-deprecate-vmware_cluster_drs_recommendations.yml
    release_date: '2024-11-01'
  5.2.0:
    changes:
      bugfixes:
      - vm_device_helper - Fix 'invalid configuration for device' error caused by
        missing fileoperation parameter. (https://github.com/ansible-collections/community.vmware/pull/2009).
      - vmware_guest - Fix errors occuring during hardware version upgrade not being
        reported. (https://github.com/ansible-collections/community.vmware/pull/2010).
      - vmware_guest - Fix vmware_guest always reporting change when using dvswitch.
        (https://github.com/ansible-collections/community.vmware/pull/2000).
      - vmware_guest_tools_upgrade - Account for all possible tools status (https://github.com/ansible-collections/community.vmware/issues/2237).
      minor_changes:
      - vmware.py - Add logic for handling the case where the `datacenter` property
        is not provided.
      - vmware_guest_info - `datacenter` property is now optional as it only required
        in cases where the VM is not uniquely identified by `name`.
    fragments:
    - 2000-fix-vmware-guest-idempotency-with-dvswitch.yml
    - 2009-fix-disk-add-failing-with-invalid-configuration-for-device.yml
    - 2010-fix-vm-hardware-version-upgrade-error-not-being-reported.yml
    - 2237-vmware_guest_tools_upgrade.yml
    - 2241-vmware_guest_info-make-datacenter-property-optional.yaml
    modules:
    - description: Configure DRS behavior for a specific VM in vSphere
      name: vmware_drs_override
      namespace: ''
    release_date: '2024-11-30'
  5.3.0:
    changes:
      bugfixes:
      - vmware_guest - setting vApp properties on virtual machines without vApp options
        raised an AttributeError. Fix now gracefully handles a `None` value for vApp
        options when retrieving current vApp properties (https://github.com/ansible-collections/community.vmware/pull/2220).
      deprecated_features:
      - vmware_cluster_info - the module has been deprecated and will be removed in
        community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2260).
      major_changes:
      - vmware_dvswitch_pvlans - The VLAN ID type has been updated to be handled as
        an integer (https://github.com/ansible-collections/community.vmware/pull/2267).
      minor_changes:
      - vmware_guest - Add new cutomization spec param `domainOU`. (https://github.com/ansible-collections/community.vmware/issues/2275)
      - vmware_guest - Speedup network search (https://github.com/ansible-collections/community.vmware/pull/2278).
      - vmware_guest_network - Speedup network search (https://github.com/ansible-collections/community.vmware/pull/2277).
    fragments:
    - 2216-vmware_dvswitch_pvlans.yml
    - 2220-vmware_guest.yml
    - 2260-deprecate-vmware_cluster_info.yml
    - 2275-vm-ou-customization.yml
    - 2277-vmware_guest_network.yml
    - 2278-vmware_guest.yml
    release_date: '2025-01-23'
  5.4.0:
    changes:
      deprecated_features:
      - module_utils.vmware - host_version_at_least is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2303).
      - plugin_utils.inventory - this plugin util is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2304).
      - plugins.httpapi - this is deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2306).
      - vm_device_helper.py - is_nvdimm_controller is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vm_device_helper.py - is_nvdimm_device is deprecated and will be removed in
        community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware - find_host_portgroup_by_name is deprecated and will be removed in
        community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware - find_vmdk_file is deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware - network_exists_by_name is deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware - vmdk_disk_path_split is deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware_host_inventory - the inventory plugin is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2283).
      - vmware_maintenancemode - the module has been deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2293).
      - vmware_rest_client - get_folder_by_name is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2311).
      - vmware_vm_inventory - the inventory plugin is deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2283).
      minor_changes:
      - vmware_guest - Print details about the error message when the returned task
        result contains (https://github.com/ansible-collections/community.vmware/pull/2301).
    fragments:
    - 2283-deprecate-inventory-plugins.yml
    - 2293-deprecate-vmware_maintenancemode.yml
    - 2301-vmware_guest.yml
    - 2303-deprecate-host_version_at_least.yml
    - 2304-deprecate-plugin_utils.yml
    - 2306-deprecate-plugins.httpapi.yml
    - 2311-deprecate-unsed-methods-and-functions.yml
    release_date: '2025-02-18'
  5.5.0:
    changes:
      bugfixes:
      - vmware_object_role_permission - The module ignores changing ``recursive``
        (https://github.com/ansible-collections/community.vmware/pull/2350).
      deprecated_features:
      - vcenter_folder - the module has been deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2340).
      - vmware_cluster_ha - the module has been deprecated and will be removed in
        community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2321).
      - vmware_content_deploy_ovf_template - the module has been deprecated and will
        be removed in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2332).
      - vmware_content_deploy_template - the module has been deprecated and will be
        removed in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2332).
      - vmware_content_library_manager - the module has been deprecated and will be
        removed in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2345).
      - vmware_host - the module has been deprecated and will be removed in community.vmware
        7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2337).
      minor_changes:
      - vcenter_standard_key_provider - Drop unused HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2327).
      - vmware_category - Don't test for vSphere < 7 anymore (https://github.com/ansible-collections/community.vmware/pull/2326).
      - vmware_guest - Drop unused HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2327).
      - vmware_guest_storage_policy - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_guest_tpm - Drop unused HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2327).
      - vmware_host_graphics - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_host_lockdown - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_host_lockdown_exceptions - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_host_snmp - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_migrate_vmk - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_migrate_vmk - Inherit from / sub-class PyVmomi (https://github.com/ansible-collections/community.vmware/pull/2324).
      - vmware_resource_pool - Drop unnecessary HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2328).
      - vmware_vc_infraprofile_info - Don't test for vSphere < 7 anymore (https://github.com/ansible-collections/community.vmware/pull/2326).
      - vmware_vm_config_option - Drop unused HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2327).
      - vmware_vm_vss_dvs_migrate - Inherit from / sub-class PyVmomi (https://github.com/ansible-collections/community.vmware/pull/2325).
      - vmware_vsan_health_info - Drop unused HAS_PYVMOMI (https://github.com/ansible-collections/community.vmware/pull/2327).
    fragments:
    - 2321-deprecate-vmware_cluster_ha.yml
    - 2324-vmware_migrate_vmk.yml
    - 2325-vmware_vm_vss_dvs_migrate.yml
    - 2326-drop-test-lt7.yml
    - 2327-drop-HAS_PYVMOMI.yml
    - 2328-drop-HAS_PYVMOMI.yml
    - 2332-deprecate-vmware_content_deploy_ovf_template-vmware_content_deploy_template.yml
    - 2337-deprecate-vmware_host.yml
    - 2340-deprecate-vcenter_folder.yml
    - 2345-deprecate.vmware_content_library_manager.yml
    - 2351-vmware_object_role_permission.yml
    release_date: '2025-03-23'
  5.6.0:
    changes:
      bugfixes:
      - vmware_dvs_portgroup - Fix idempotency issue with ``mac_learning`` (https://github.com/ansible-collections/community.vmware/issues/1873).
      deprecated_features:
      - vmware_dvs_portgroup - ``mac_learning`` is deprecated in favour of ``network_policy.mac_learning``
        (https://github.com/ansible-collections/community.vmware/pull/2360).
      minor_changes:
      - module_utils.vmware - Move ``vmware_argument_spec`` to a dedicated file (https://github.com/ansible-collections/community.vmware/pull/2370).
      - module_utils.vmware_rest_client - Move ``vmware_client_argument_spec`` to
        a dedicated file (https://github.com/ansible-collections/community.vmware/pull/2370).
      - vmware_dvs_portgroup - New option ``network_policy.mac_learning`` to replace
        ``mac_learning`` (https://github.com/ansible-collections/community.vmware/pull/2360).
      - vmware_object_role_permission - Document setting permissions on vCenter level
        (https://github.com/ansible-collections/community.vmware/pull/2374).
    fragments:
    - 1873-vmware_dvs_portgroup.yml
    - 2370-argument_spec.yml
    - 2374-vmware_object_role_permission.yml
    release_date: '2025-04-21'
  5.7.0:
    changes:
      bugfixes:
      - vm_device_helper - Fix an issue with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      - vmware_guest_controller - Fix an issue with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      - vmware_guest_disk - Fix an issue with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      - vmware_host_inventory - New option ``enable_backward_compatability`` that
        can be set to ``false`` to work with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      - vmware_target_canonical_info - Fix an issue with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      - vmware_vm_inventory - New option ``enable_backward_compatability`` that can
        be set to ``false`` to work with ansible-core 2.19 (https://github.com/ansible-collections/community.vmware/pull/2391).
      deprecated_features:
      - module_utils.vmware - Deprecate ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
      - vmware_guest_powerstate - the module has been deprecated and will be removed
        in community.vmware 7.0.0 (https://github.com/ansible-collections/community.vmware/pull/2398).
      minor_changes:
      - vcenter_extension - Stop using ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
      - vmware_guest_cross_vc_clone - Stop using ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
      - vmware_guest_instant_clone - Stop using ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
      - vmware_vm_inventory - Stop using ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
      - vmware_vsan_cluster - Stop using ``connect_to_api`` (https://github.com/ansible-collections/community.vmware/pull/2372).
    fragments:
    - 2372-stop_using_connect_to_api.yml
    - 2391-core-2.19.compatibility.yml
    - 2398-deprecate-vmware_guest_powerstate.yml
    release_date: '2025-06-03'
